# Yahoo! UI Library

### imageloader 2.8.2r1

Yahoo! UI Library > imageloader > YAHOO.util.ImageLoader.srcImgObj
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.util.ImageLoader.srcImgObj - extends YAHOO.util.ImageLoader.imgObj

Source image object. A source image is one whose URL is specified by a src attribute in the DOM element

### Constructor

YAHOO.util.ImageLoader.srcImgObj `( domId , url , width , height )`

Parameters:
  `domId <String>` HTML DOM id of the image element
  `url <String>` URL for the image
  `width <Int>` pixel width of the image - defaults to image's natural size
  `height <Int>` pixel height of the image - defaults to image's natural size

#### Properties inherited from YAHOO.util.ImageLoader.imgObj:

`_fetched, domId, height, setVisible, url, width`

### Methods

#### _applyUrl

`private void _applyUrl ( el )`
Inserts the image URL into the DOM so that the image is displayed. Sets src

Parameters:
  `el <Object>` HTML DOM element

#### Methods inherited from YAHOO.util.ImageLoader.imgObj:

`_applyUrl, fetch`

Copyright © 2010 Yahoo! Inc. All rights reserved.